Executive Summary

Summary
TitleUnZip: User-assisted execution of arbitrary code
Informations
NameGLSA-202003-58First vendor Publication2020-03-26
VendorGentooLast vendor Modification2020-03-26
Severity (Vendor) N/ARevisionN/A

Security-Database Scoring CVSS v2

Cvss vector : (AV:N/AC:M/Au:N/C:P/I:P/A:P)
Cvss Base Score6.8Attack RangeNetwork
Cvss Impact Score6.4Attack ComplexityMedium
Cvss Expoit Score8.6AuthenticationNone Required
Calculate full CVSS 2.0 Vectors scores

Detail

Synopsis

Multiple vulnerabilities have been found in UnZip, the worst of which could result in the execution of arbitrary code.

Background

Info-ZIP's UnZip is a tool to list and extract files inside PKZIP compressed files.

Description

Multiple vulnerabilities have been discovered in UnZip. Please review the CVE identifiers referenced below for details.

Impact

A remote attacker could entice a user to open a specially crafted ZIP archive using UnZip, possibly resulting in execution of arbitrary code with the privileges of the process or a Denial of Service condition.

Workaround

There is no known workaround at this time.

Resolution

All UnZip users should upgrade to the latest version:
# emerge --sync
# emerge --ask --oneshot --verbose ">=app-arch/unzip-6.0_p25"

References

[ 1 ] CVE-2018-1000035 : https://nvd.nist.gov/vuln/detail/CVE-2018-1000035
[ 2 ] CVE-2019-13232 : https://nvd.nist.gov/vuln/detail/CVE-2019-13232

Availability

This GLSA and any updates to it are available for viewing at the Gentoo Security Website:

https://security.gentoo.org/glsa/202003-58

Original Source

Url : http://security.gentoo.org/glsa/glsa-202003-58.xml

CWE : Common Weakness Enumeration

%idName
50 %CWE-400Uncontrolled Resource Consumption ('Resource Exhaustion')
50 %CWE-119Failure to Constrain Operations within the Bounds of a Memory Buffer

CPE : Common Platform Enumeration

TypeDescriptionCount
Application13
Os1

Snort® IPS/IDS

DateDescription
2018-09-19Info-ZIP UnZip heap buffer overflow attempt
RuleID : 47587 - Revision : 1 - Type : FILE-OTHER
2018-09-19Info-ZIP UnZip heap buffer overflow attempt
RuleID : 47586 - Revision : 1 - Type : FILE-OTHER

Nessus® Vulnerability Scanner

DateDescription
2018-07-24Name : The remote PhotonOS host is missing multiple security updates.
File : PhotonOS_PHSA-2018-1_0-0144.nasl - Type : ACT_GATHER_INFO
2018-07-24Name : The remote PhotonOS host is missing multiple security updates.
File : PhotonOS_PHSA-2018-2_0-0052.nasl - Type : ACT_GATHER_INFO
2018-03-07Name : The remote Fedora host is missing a security update.
File : fedora_2018-ab3d1d78f3.nasl - Type : ACT_GATHER_INFO

Alert History

If you want to see full details history, please login or register.
0
DateInformations
2020-03-26 21:17:54
  • First insertion